clc
clear all
close all
warning off all
% corcev
[num txt] = xlsread('seznam_registrace2.xls');

rozsah = size(txt);

vaha = 2;       % vaha pro euklidovske vzdalenosti mezi souradnicemi (default = 4)
prah = 0.4;     % prahova hodnota pro spravne korespondence
method = 'normal';  % normal - normalizace obrazu, orig - bez normalizace
tic
% cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Program automaticka registrace\Výsledky\';
cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Souřadnice_nereg\';

cesta_vysledky = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Koresp_souradnice_nereg_vaha2\';

start = 1;
vse = 0;
for i = start:rozsah(2)
    for j = 3:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0

            continue
        else
        vse = vse + 1;          

        end
    end
end
count = 0;
nul = 0;
koresp_sourad_vse = zeros(60,220); 
k = 0;
m = 1;
souradnice_jmena = [];
souradnice_jmena = string(souradnice_jmena);

for i = start:rozsah(2)
    for j = 3:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0
            nul = nul + 1;
            continue
        else
            clc
            count = count+1;
            odpocet(vse,count)  % zobrazeni provedenych % a casu do konce
            disp([num2str(cell2mat(txt(2,i))) '' '  -  ' '' num2str(cell2mat(txt(j,i)))])
            
            soubor1 = cell2mat(txt(2,i));
            soubor2 = cell2mat(txt(j,i));
            cesta_obr = cell2mat(txt(1,i));
            
            
            obr1 = imread([cesta_obr '' soubor1 '' '.jpg']);
            obr2 = imread([cesta_obr '' soubor2 '' '.jpg']);

            obr1 = imresize(obr1,[1000 1500]);
            obr2 = imresize(obr2,[1000 1500]);
            
            load([cesta_sourad '' soubor1 '' '_sourad.mat'])
            sourad1 = souradnice_vse(1:2,:);        
            sourad2 = souradnice_vse(j+k:j+k+1,:);
            k = k+1;
            
            
            koresp_sourad = korespondence(obr1,obr2,sourad1,sourad2,vaha,prah,method);
            
            
            
            vel = size(koresp_sourad);
            koresp_sourad_vse(m : m+4,1:vel(2)) = koresp_sourad;
            m = m+5;
            
        end
    end
    uloz_sourad = [cesta_vysledky '' soubor1 '' '_korespondence.mat'];
    save (uloz_sourad, 'koresp_sourad_vse')
   
    koresp_sourad_vse = zeros(60,220);    
    uloz_sourad = [];
    k = 0;
    m = 1;
end

